​
Select Service
ves-io-schema-network_policy-API-Get
Published April 5, 2023 | Last modified September 15, 2026
Examples of getting network_policy
Usecase:
Get network-policy-1
Request using vesctl:
vesctl configuration get network_policy network-policy-1 --namespace documentation
vesctl yaml response:
deletedReferredObjects: []disabledReferredObjects: []metadata: annotations: {} labels: {} name: network-policy-1 namespace: documentationreferringObjects: []resourceVersion: "2024"spec: endpoint: any: {}status: []systemMetadata: creationTimestamp: "2026-06-19T22:03:42.091874Z" creatorClass: examplesvc creatorId: examplesvc finalizers: [] labels: {} tenant: acmecorp uid: 45744243-2bd4-473c-9ae9-2a108088f478Request using curl:
curl -X 'GET' -H 'X-Volterra-Useragent: v1/pgm=_var_folders_q2_3kp8z3zs0x5_m7pk1bgb0_ph0000gp_T_go-build1655461974_b001_apidocs.test/host=MTY6VVHQPH/svc=S:examplesvc/site=mytestce01' 'https://acmecorp.console.ves.volterra.io/api/config/namespaces/documentation/network_policys/network-policy-1?response_format=0'curl response:
HTTP/1.1 200 OKContent-Length: 869Content-Type: application/jsonDate: Fri, 19 Jun 2026 22:03:42 GMTVary: Accept-Encoding
{ "create_form": null, "replace_form": null, "resource_version": "2024", "metadata": { "name": "network-policy-1", "namespace": "documentation", "labels": { }, "annotations": { }, "description": "", "disable": false }, "system_metadata": { "uid": "45744243-2bd4-473c-9ae9-2a108088f478", "creation_timestamp": "2026-06-19T22:03:42.091874Z", "deletion_timestamp": null, "modification_timestamp": null, "initializers": null, "finalizers": [ ], "tenant": "acmecorp", "creator_class": "examplesvc", "creator_id": "examplesvc", "object_index": 0, "owner_view": null, "labels": { } }, "spec": { "endpoint": { "any": {
} } }, "status": [ ], "referring_objects": [ ], "deleted_referred_objects": [ ], "disabled_referred_objects": [ ]}